Bug 1520569 - Review Request: perl-Crypt-UnixCrypt_XS - Perl xs interface for a portable traditional crypt function
Summary: Review Request: perl-Crypt-UnixCrypt_XS - Perl xs interface for a portable tr...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Sandro Mani
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1522917
Blocks: 1520581
TreeView+ depends on / blocked
 
Reported: 2017-12-04 17:49 UTC by Robert-André Mauchin 🐧
Modified: 2018-02-27 20:39 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-02-27 20:39:19 UTC
Type: ---
manisandro: fedora-review+


Attachments (Terms of Use)

Description Robert-André Mauchin 🐧 2017-12-04 17:49:21 UTC
Spec URL: https://raw.githubusercontent.com/eclipseo/packaging/749fc2d/perl-Crypt-UnixCrypt_XS.spec
SRPM URL: https://copr-be.cloud.fedoraproject.org/results/eclipseo/ravada/fedora-rawhide-x86_64/00683991-perl-Crypt-UnixCrypt_XS/perl-Crypt-UnixCrypt_XS-0.11-1.fc28.src.rpm

Description: This module implements the DES-based Unix crypt function. For those who
need to construct non-standard variants of crypt, the various building
blocks used in crypt are also supplied separately.

Fedora Account System Username: eclipseo

Comment 4 Sandro Mani 2017-12-15 16:28:22 UTC
Is %{_fixperms} $RPM_BUILD_ROOT/* actually required? I've never seen it used before.

As far as I see 

Requires:       perl(Exporter)
Requires:       perl(XSLoader)

don't need to be explicitly specified since they are correctly picked up by perl-generators.

Rest looks good.

Comment 5 Robert-André Mauchin 🐧 2017-12-15 17:09:47 UTC
(In reply to Sandro Mani from comment #4)
> Is %{_fixperms} $RPM_BUILD_ROOT/* actually required? I've never seen it used
> before.
> 
It's the default of cpanspec, didn't cause any issue with my previous perl approved packages.

> As far as I see 
> 
> Requires:       perl(Exporter)
> Requires:       perl(XSLoader)
> 
> don't need to be explicitly specified since they are correctly picked up by
> perl-generators.
> 
> Rest looks good.

Fixed:

Spec URL: https://raw.githubusercontent.com/eclipseo/packaging/f40ee52/perl-Crypt-UnixCrypt_XS.spec
SRPM URL: https://copr-be.cloud.fedoraproject.org/results/eclipseo/ravada/fedora-rawhide-x86_64/00688032-perl-Crypt-UnixCrypt_XS/perl-Crypt-UnixCrypt_XS-0.11-1.fc28.src.rpm

SPEC diff: https://github.com/eclipseo/packaging/commit/f40ee5284c45c5f82978238e8c5eea3b2740ba0f#diff-067baa564667abca482cba81b6e45f2b

Comment 6 Sandro Mani 2017-12-15 17:15:29 UTC
All good, approved.

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[-]: Development (unversioned) .so files in -devel subpackage, if present.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[-]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: License field in the package spec file matches the actual license.
[x]: License file installed when any subpackage combination is installed.
[-]: If the package is under multiple licenses, the licensing breakdown
     must be documented in the spec.
[x]: Package does not own files or directories owned by other packages.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Perl:
[x]: CPAN urls should be non-versioned.

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[-]: Fully versioned dependency in subpackages if applicable.
[?]: Package functions as described.
[?]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on debuginfo package(s).
     Note: No rpmlint messages.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: perl-Crypt-UnixCrypt_XS-0.11-1.fc28.x86_64.rpm
          perl-Crypt-UnixCrypt_XS-debuginfo-0.11-1.fc28.x86_64.rpm
          perl-Crypt-UnixCrypt_XS-debugsource-0.11-1.fc28.x86_64.rpm
          perl-Crypt-UnixCrypt_XS-0.11-1.fc28.src.rpm
perl-Crypt-UnixCrypt_XS.x86_64: W: spelling-error Summary(en_US) xs -> XS, xci, cs
perl-Crypt-UnixCrypt_XS-debugsource.x86_64: W: no-documentation
perl-Crypt-UnixCrypt_XS.src: W: spelling-error Summary(en_US) xs -> XS, xci, cs
4 packages and 0 specfiles checked; 0 errors, 3 warnings.




Rpmlint (debuginfo)
-------------------
Checking: perl-Crypt-UnixCrypt_XS-debuginfo-0.11-1.fc28.x86_64.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.





Rpmlint (installed packages)
----------------------------
sh: /usr/bin/python: No such file or directory
perl-Crypt-UnixCrypt_XS.x86_64: W: spelling-error Summary(en_US) xs -> XS, xci, cs
perl-Crypt-UnixCrypt_XS.x86_64: W: invalid-url URL: http://search.cpan.org/dist/Crypt-UnixCrypt_XS/ <urlopen error [Errno -2] Name or service not known>
perl-Crypt-UnixCrypt_XS-debuginfo.x86_64: W: invalid-url URL: http://search.cpan.org/dist/Crypt-UnixCrypt_XS/ <urlopen error [Errno -2] Name or service not known>
perl-Crypt-UnixCrypt_XS-debugsource.x86_64: W: invalid-url URL: http://search.cpan.org/dist/Crypt-UnixCrypt_XS/ <urlopen error [Errno -2] Name or service not known>
perl-Crypt-UnixCrypt_XS-debugsource.x86_64: W: no-documentation
3 packages and 0 specfiles checked; 0 errors, 5 warnings.



Requires
--------
perl-Crypt-UnixCrypt_XS (rpmlib, GLIBC filtered):
    libc.so.6()(64bit)
    libperl.so.5.26()(64bit)
    perl(:MODULE_COMPAT_5.26.1)
    perl(:VERSION)
    perl(Exporter)
    perl(XSLoader)
    perl(strict)
    perl(warnings)
    rtld(GNU_HASH)

perl-Crypt-UnixCrypt_XS-debuginfo (rpmlib, GLIBC filtered):

perl-Crypt-UnixCrypt_XS-debugsource (rpmlib, GLIBC filtered):



Provides
--------
perl-Crypt-UnixCrypt_XS:
    perl(Crypt::UnixCrypt_XS)
    perl-Crypt-UnixCrypt_XS
    perl-Crypt-UnixCrypt_XS(x86-64)

perl-Crypt-UnixCrypt_XS-debuginfo:
    debuginfo(build-id)
    perl-Crypt-UnixCrypt_XS-debuginfo
    perl-Crypt-UnixCrypt_XS-debuginfo(x86-64)

perl-Crypt-UnixCrypt_XS-debugsource:
    perl-Crypt-UnixCrypt_XS-debugsource
    perl-Crypt-UnixCrypt_XS-debugsource(x86-64)



Unversioned so-files
--------------------
perl-Crypt-UnixCrypt_XS: /usr/lib64/perl5/vendor_perl/auto/Crypt/UnixCrypt_XS/UnixCrypt_XS.so

Source checksums
----------------
https://www.cpan.org/authors/id/B/BO/BORISZ/Crypt-UnixCrypt_XS-0.11.tar.gz :
  CHECKSUM(SHA256) this package     : 62eb3412c2c91bd4dc2b8a4d9ee26d5bde2eb11932703b6eeac4773e4d1f4faa
  CHECKSUM(SHA256) upstream package : 62eb3412c2c91bd4dc2b8a4d9ee26d5bde2eb11932703b6eeac4773e4d1f4faa


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -L /home/sandro/Desktop/localrepo/ -b 1520569
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, C/C++, Perl
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Haskell, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Built with local dependencies:
    /home/sandro/Desktop/localrepo/perl-Algorithm-Loops-1.032-1.fc28.noarch.rpm

Comment 7 Gwyn Ciesla 2017-12-15 17:34:48 UTC
(fedrepo-req-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/perl-Crypt-UnixCrypt_XS. You may commit to the branch "f27" in about 10 minutes.

Comment 8 Fedora Update System 2017-12-16 17:06:58 UTC
perl-Crypt-UnixCrypt_XS-0.11-1.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-5963dfc2bd

Comment 9 Fedora Update System 2017-12-16 17:14:30 UTC
perl-Crypt-UnixCrypt_XS-0.11-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-b4c81d8665

Comment 10 Fedora Update System 2017-12-17 22:23:05 UTC
perl-Crypt-UnixCrypt_XS-0.11-1.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-5963dfc2bd

Comment 11 Fedora Update System 2017-12-17 23:21:11 UTC
perl-Crypt-UnixCrypt_XS-0.11-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-b4c81d8665

Comment 12 Fedora Update System 2017-12-26 16:30:58 UTC
perl-Crypt-UnixCrypt_XS-0.11-1.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2017-12-28 02:50:09 UTC
perl-Crypt-UnixCrypt_XS-0.11-1.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2018-02-07 21:00:27 UTC
perl-Crypt-UnixCrypt_XS-0.11-2.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-095c3b7f59

Comment 15 Fedora Update System 2018-02-08 08:42:03 UTC
perl-Crypt-UnixCrypt_XS-0.11-2.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-095c3b7f59

Comment 16 Fedora Update System 2018-02-27 20:39:19 UTC
perl-Crypt-UnixCrypt_XS-0.11-2.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.